curl --request GET \
--url https://api.hubapi.com/cms/v3/source-code/extract/async/tasks/{taskId}/status \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Get the status of an extraction by the taskId returned from the initial extract/async request.
curl --request GET \
--url https://api.hubapi.com/cms/v3/source-code/extract/async/tasks/{taskId}/status \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
successful operation
The timestamp indicating when the action was completed.
The timestamp indicating when the action was started.
The current status of the action, with possible values: CANCELED, COMPLETE, PENDING, PROCESSING.
CANCELED, COMPLETE, PENDING, PROCESSING A map of link names to associated URIs containing documentation about the error or recommended remediation steps
Show child attributes
The timestamp indicating when the action was requested.
Was this page helpful?